package hayashi.yuu.tools.properties;

import java.awt.GridLayout;
import javax.swing.BorderFactory;
import javax.swing.JComponent;
import javax.swing.JPanel;

/**
 * 枠で囲まれたパネル
 */
public class CategoryBox {
	/**
	 * 枠で囲まれたパネル
	 * @param title	パネルのタイトル
	 * @param compo	パネルの内容
	 * @return 作成されたインスタンス
	 */
	public static JPanel makePanel(String title, JComponent compo) {
        JPanel p = new JPanel(new GridLayout(1,1));
        p.setBorder(BorderFactory.createTitledBorder(title));
        p.add(compo);
        return p;
    }
}
